
BASE_API = 'https://qa-reports.linaro.org/api/'
DEFINITIONS = {
        'groups':['id', 'slug'], 
        'emailtemplates':['name'], 
        'knownissues': ['id','active','url', 'title', 'test_name', 'notes', 'intermittent', 'environments'], 
        'reports':['id'], 
        'projects':'*', 
        'builds':'*',
        'testjobs':'*',
        'testruns':'*',
        'tests':'*',
        'metrics':'*',
        'suites':'*',
        'backends':'*',
        'emailtemplates':'*',
        'patchsources':'*',
        'suitemetadata':'*',
        'annotations':'*',
        'metricthresholds':'*'
    }
attributes_human = [ 'short_name',  'status', 'build:version', 'environment:slug', 'group:slug', 'project:slug']
attributes = ['id', 'short_name',  'status', 'result', 'build:id', 'environment:id']
api_endpoints = {
    'groups':['id', 'url', 'slug', 'name', 'description'], 
    'projects':['id', 'custom_email_template', 'data_retention_days', 'description',
             'enabled_plugins_list', 'full_name', 'group', 'html_mail', 'important_metadata_keys',
             'is_archived', 'is_public', 'moderate_notifications', 'name', 'notification_timeout',
             'slug', 'url', 'wait_before_notification', 'force_finishing_builds_on_timeout',
             'build_confidence_count', 'build_confidence_threshold'],
    'builds':['url', 'id', 'finished',
             'version', 'created_at', 'datetime', 'patch_id', 'keep_data', 'project',
             'patch_source', 'patch_baseline'], 
    'annotations': ['url', 'id', 'description', 'build'],
    'metric':['url', 'id', 'name', 'short_name', 'measurement_list', 'result', 'unit', 'is_outlier', 'test_run', 'suite', 'metadata', 'build', 'environment'], 
    'metricthresholds': ['url', 'id', 'name', 'value', 'is_higher_better', 'environment', 'project'], 
    'reports':['url', 'id', 'baseline', 'output_format', 'email_recipient', 'email_recipient_notified',
             'callback', 'callback_notified', 'data_retention_days', 'output_subject', 'output_text',
             'output_html', 'error_message', 'status_code', 'created_at', 'build', 'template'], 
    'suitemetadata':['url', 'id', 'name', 'suite', 'kind', 'description', 'instructions_to_reproduce'], 
    'knownissues':['url', 'id', 'title', 'test_name', 'notes', 'active', 'intermittent', 'environments'], 
    'emailtemplates':['url', 'id', 'name', 'subject', 'plain_text', 'html'], 
    'backends':['id', 'name', 'url', 'username', 'token', 'implementation_type', 'backend_settings',
             'poll_interval', 'max_fetch_attempts', 'poll_enabled', 'listen_enabled'], 
    'environments':['url', 'id', 'slug', 'name', 'expected_test_runs', 'description', 'project'], 
    'testruns':['url', 'id', 'metadata_file', 'log_file',
             'created_at', 'completed', 'datetime', 'build_url',
             'job_id', 'job_status', 'job_url', 'resubmit_url',
             'data_processed', 'status_recorded', 'build',
             'environment'], 
    'tests':['url', 'id', 'name', 'short_name', 'status', 'result', 'test_run', 'log', 'has_known_issues',
             'suite', 'known_issues', 'build', 'environment', 'metadata'], 
    'suites':['url', 'id', 'slug', 'name', 'project'],
    'testjobs':['url', 'id', 'external_url', 'definition', 'name', 'environment', 'created_at',
             'submitted_at', 'fetched_at', 'submitted', 'fetched', 'fetch_attempts',
             'last_fetch_attempt', 'failure', 'can_resubmit', 'resubmitted_count',
             'job_id', 'job_status', 'backend', 'testrun', 'target', 'target_build',
             'parent_job', 'started_at', 'ended_at'], 
    'metadata':['build_url', 'fvp_model', 'test_config', 'job_id', 'job_status', 'job_url']
}
